#pragma once

#include "vault.h"
#include "FL/glut.h"
#include "model.h"
#include "modelerdraw.h"
#include "armmodel.h"
#include "legmodel.h"
#include "headmodel.h"

// initial torso dimensions - see armmodel.h and legmodel.h for arm and leg
// dimensions
#define TORSO_BASE_WIDTH 10
#define TORSO_TOP_WIDTH 15
#define TORSO_BASE_DEPTH 6
#define TORSO_TOP_DEPTH 8
#define TORSO_HEIGHT 14

// Sample model: replace this with your own.
class FalconModel : public Model {
private:
	// Add Properties, Shaders, Textures here
	RangeProperty torso_rotation, muscle_mass;
	RGBProperty color;

	ArmModel right_arm, left_arm;
	LegModel right_leg, left_leg;
	HeadModel head;

	// member dimension fields
	float torso_base_width, torso_top_width, torso_base_depth, torso_top_depth,
		torso_height;
public:
	FalconModel(const char* name);
	// Override any of the functions in model.h to implement your own functionality.
	virtual void draw();
};